Bug 492284 - [nouveau] 8400M GS - Return from X to console yields unreadable tty
[nouveau] 8400M GS - Return from X to console yields unreadable tty
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 07:02 EDT by Paul W. Frields
Modified: 2009-03-27 09:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 09:13:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg startup log (35.76 KB, text/plain)
2009-03-26 07:02 EDT, Paul W. Frields
no flags Details

  None (edit)
Description Paul W. Frields 2009-03-26 07:02:50 EDT
Created attachment 336777 [details]
Xorg startup log

Using Live test day disc 2009-03-25.

Driver: xorg-x11-drv-nouveau-0.0.12-15.20090323git4067ab4.fc11.x86_64
Kernel: kernel-2.6.29-0.279.rc8.git6.fc11.x86_64
Device: 01:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 8400M GS [10de:0427] (rev a1)

Ran "restartx" test -- booted to runlevel 3; ran 'startx' as normal user (results good); logged out of X.  Console is unreadable.

Note that (1) incidentally, ran 'startx' again even though I couldn't read the screen, and X worked well again.  Return to the console was the same, unreadable.  (2) This problem does not seem to happen using kernel modesetting.

I can produce more information if needed; the Xorg log from the *second* startup of X is attached.
Comment 1 MuadNu 2009-03-26 17:02:34 EDT
(In reply to comment #0)

Same here, I got the exact same issue with the testa day live cd, and the exact same card (nVidia Corporation GeForce 8400M GS [10de:0427]), on a Dell Vostro 1400.
Comment 2 Paul W. Frields 2009-03-27 09:13:06 EDT
This appears to be fixed with either of the two newest packages available in koji:

http://koji.fedoraproject.org/koji/packageinfo?packageID=5871

Note You need to log in before you can comment on or make changes to this bug.